## xbuilder 1.0.1+nmu1

=== examples/configs/Makefile ===
#!/usr/bin/make
# for use with buildd-synclogs. 
# Put this at the top of your buildd flavour tree

REPOFILTERS=$(BASE)/$(REPO)/conf/filters

status.html: *.log
	sbuildlog-generate-html > status.html

status-bootstrap.html: *.log
	sbuildlog-generate-html --pkgfilter=$(REPOFILTERS)/bootstrap > status-bootstrap.html

# status-gsoc.html: *.log
#	sbuildlog-generate-html --pkgfilter=$(REPOFILTERS)/quantal-gsoc > status-gsoc.html

# status-ubuntucore.html: *.log
#	sbuildlog-generate-html --pkgfilter=$(REPOFILTERS)/ubuntu-core.required > status-ubuntucore.html

## xbuilder 1.0

=== debian/changelog ===
xbuilder (1.0) unstable; urgency=low

  * Update for in-archive/PPA cross-toolchains
  * Add extra-repository option for builds
  * Rename generate-html to buildlogs-summarise to avoid clashes
  * Expand README for release

 -- wookey <wookey@debian.org>  Wed, 12 Nov 2014 17:31:21 +0000

xbuilder (0.9.5) precise; urgency=low

  * Profile builds supported
  * Will remove source in bootstrap repo if incoming conflicts are seen  

 -- Wookey <wookey@wookware.org>  Mon, 11 Feb 2013 17:08:13 +0000

xbuilder (0.9.4) precise; urgency=low

  * Dimstrap will now choose newer sources in bootstrap repo to build 

 -- Wookey <wookey@wookware.org>  Mon, 28 Jan 2013 15:55:47 +0000

xbuilder (0.9.3) precise; urgency=low

  * Dimstrap bugfixes: more than one version returned, packagelist
      handling

 -- Wookey <wookey@wookware.org>  Thu, 24 Jan 2013 10:13:40 +0000

xbuilder (0.9.2) precise; urgency=low

  * Catch the case of 'no buildstate determined' (generate-html)

 -- Wookey <wookey@wookware.org>  Mon, 21 Jan 2013 03:04:57 +0000

xbuilder (0.9.1) precise; urgency=low

  * Improve generate-html comments a little

 -- Wookey <wookey@wookware.org>  Fri, 18 Jan 2013 17:09:06 +0000

xbuilder (0.9) precise; urgency=low

  * Improve speed and accuracy of logfile parsing by perlification

 -- Wookey <wookey@wookware.org>  Fri, 18 Jan 2013 12:21:36 +0000

xbuilder (0.8.1ubuntu1) precise; urgency=low

  * Set default path to /srv/buildd instead of my home dir.

 -- Wookey <wookey@wookware.org>  Wed, 21 Nov 2012 11:40:35 +0000

xbuilder (0.8.1) precise; urgency=low

  * Update build-status for one extra string
  * Add missing sbuild-status

 -- Wookey <wookey@wookware.org>  Tue, 20 Nov 2012 15:56:19 +0000

xbuilder (0.8) precise; urgency=low

  * Add xbuilder-create-chroot command

 -- Wookey <wookey@wookware.org>  Wed, 27 Jun 2012 01:18:21 +0100

xbuilder (0.7.1) quantal; urgency=low

  * Make generate html do packagefilters and summaries

 -- Wookey <wookey@wookware.org>  Tue, 29 May 2012 13:35:52 +0100

xbuilder (0.7) oneiric; urgency=low

  * Include generate-html script for indexing logfiles

 -- Wookey <wookey@wookware.org>  Mon, 16 Apr 2012 13:47:28 +0100

xbuilder (0.6.1) oneiric; urgency=low

  * Update build-status parsing to categorise more packages

 -- Wookey <wookey@wookware.org>  Wed, 08 Feb 2012 21:02:20 +0000

xbuilder (0.6) oneiric; urgency=low

  * Include buildd-synclogs rsync script

 -- Wookey <wookey@wookware.org>  Wed, 25 Jan 2012 12:20:46 +0000

xbuilder (0.5) precise; urgency=low

  * Add sbuild support
  * use .dsc files instead of unpacked sources

 -- Wookey <wookey@wookware.org>  Tue, 17 Jan 2012 18:10:49 +0000

xbuilder (0.4) oneiric; urgency=low

  * use schroot for clean chroots

 -- Wookey <wookey@wookware.org>  Tue, 29 Nov 2011 18:35:45 +0000

xbuilder (0.3) natty; urgency=low

  * Add clean chroot functionality for xdeb builds

 -- Wookey <wookey@wookware.org>  Thu, 20 Oct 2011 18:25:44 +0100

xbuilder (0.2) natty; urgency=low

  * Use awk for build status parsing

 -- Wookey <wookey@wookware.org>  Wed, 05 Oct 2011 09:19:11 +0100

xbuilder (0.1) natty; urgency=low

  * Initial release.

 -- Wookey <wookey@wookware.org>  Wed, 28 Sep 2011 15:41:23 +0100

=== debian/control ===
Source: xbuilder
Section: utils
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.5

Package: xbuilder
Section: utils
Architecture: all
Depends: sbuild | xdeb | pdebuild-cross, dctrl-tools, awk
Recommends:
Description: Tool to cross-build a list of packages using sbuild, xdeb or pdebuild-cross
 This package contains scripts to run a batch-job of cross-builds,
 using various methods, on a list of source packages. It also has a
 simple cross-bootstraping helper (using build-profiles), and scripts
 for generating html tables summarising the results of a build run, and
 generating the packagelists to build.
 .
 It is not a proper buildd, or smart in any way, just really a
 collection of scripts wrtten for a particular task. Nevertheless they
 remain useful for this particular job.

## xbuilder 1.0.1

=== debian/changelog ===
xbuilder (1.0.1) unstable; urgency=medium

  * Update standards version
  * Bump debhelper compat to 9

 -- Wookey <wookey@debian.org>  Mon, 25 Jul 2016 02:44:56 +0100

## xbuilder 1.0.1+nmu1

=== debian/changelog ===
xbuilder (1.0.1+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 16:38:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

## xbuilder 1.0.1+nmu2

=== debian/changelog ===
xbuilder (1.0.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007356)
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 16:06:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 
 Package: xbuilder
 Section: utils
 Architecture: all
-Depends: sbuild | xdeb | pdebuild-cross, dctrl-tools, awk
-Recommends:
+Depends: sbuild | xdeb | pdebuild-cross, dctrl-tools, ${misc:Depends}
+Recommends: make
 Description: Tool to cross-build a list of packages using sbuild, xdeb or pdebuild-cross
  This package contains scripts to run a batch-job of cross-builds,
  using various methods, on a list of source packages. It also has a

## xbuilder 1.0.1+nmu2build1

=== debian/changelog ===
xbuilder (1.0.1+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 17:30:58 +0000
